Name: sendmail
Version: 8.9.1
Release: 6
Summary: sendmail mail transport agent
Copyright: distributable (similar to, but not quite BSD)
Group: Networking/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.8.9.1.tar.gz
Source1: site.Linux.m4
Source2: aliases
Source3: redhat.mc
Source4: sendmail.init
Source5: access
Source6: domaintable
Source7: genericstable
Source8: mailertable
Source9: masquerade-domains
Source10: relay-domains
Source11: sendmail.ct
Source12: sendmail.cw
Source13: virtusertable
Source14: site.Linux.ppc.m4
Patch0: sendmail_linux.diff
Patch1: sendmail_longheaders.diff
Patch2: sendmail_rmail.diff
URL: http://www.sendmail.org/
BuildRoot: /var/tmp/sendmail

%changelog

* Fri Sep 04 1998 Marc Merlin <marcsoft@magic.metawire.com>
- Added much better sendmail.init file
- Added rmail patch in order to do direct delivery. 
  Why has this never been fixed ???
- Protection against mime buffer overflows. See
  http://www.sendmail.com/sendmail.8.9.1a.html
- Removed mail.local (useless, and a security hole at the same time)
- Moved /usr/lib/sendmail-cf to /var/lib/sendmail-cf (/usr is read-only, and
  it's not convenient when you want to modify your redhat.mc)
- removed the majordomo alias file (it shouldn't come with the package)
- Using chkconfig in post doesn't seem to work, we create the links by hand
- Addition of expn and re-mqueue
- Added good default and sample redhat.mc file
- Added commented sample /etc/mail/* files (very useful)
- Added PPC modifications by Justin Vallon <vallon@mindspring.com>

* Sat Jul 11 1998 Nils Philippsen <nils@rhlx01.rz.fht-esslingen.de>
- Used force-install to install rmail as well

* Fri Jul 10 1998 Nils Philippsen <nils@rhlx01.rz.fht-esslingen.de>
- Upgraded to 8.9.1
- Fixed buildrooting (sendmail installs man pages properly now)

* Thu Jun 25 1998 Manuel J. Galan <manolow@step.es>
- Fixed a _sendmail_ bug with linux.

* Thu Jun 18 1998 Piotr Haberko <gumis@wsi.edu.pl>
- removed FUTURE(relay_based_on_MX)
	  FUTURE(relay_entire_domain)
	  FUTURE(relay_local_from)
  from redhat.mc file for allowing ruleset checking

* Wed May 20 1998 Christopher McCrory <chrismcc@netus.com>
- YES ! 8.9.0 final ! Eric and friends are awesome!
- upgraded to 8.9.0

* Tue May 19 1998 Christopher McCrory <chrismcc@netus.com>
- updated netus.mc: PRIVACY_FLAG and STATUS_FILE

* Wed Apr 29 1998 Christopher McCrory <chrismcc@netus.com>
- A few %files tweaks

* Fri Apr 24 1998 Christopher McCrory <chrismcc@netus.com>

- symlink fix: cheat !
- moved aliases to /etc/mail/aliases
- made version to 3 

* Thu Apr 23 1998 Christopher McCrory <chrismcc@netus.com>

- Tried BuildRoot
- BuildRoot is Cool!
- BuiildRoot sucks - ToDo fix symlink problem (BINDIR)
- BuildRoot is Cool!

* Tue Apr 07 1998 Christopher McCrory <chrismcc@netus.com>

- started install section
- TODO find way NOT to have to link nsl in all binaries (only sendmail) 

* Mon Apr 06 1998 Christopher McCrory <chrismcc@netus.com>

- made site.Linux.m4 (LOOK IN HERE for file locations)
- put most stuff in /etc/mail/...
- 
- made preliminary netus.mc
- stripped redhat's spec but kept descriptions

%description 
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package cf
Summary: sendmail configuration files and m4 macros
Group: Daemons

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%package config
Summary: Configuration files for sendmail
Group: Daemons

%description config
This is needed, eventually there will be multiple configs to choose from.

%prep
%setup 
%patch0 -p1
%patch1 -p1
%patch2 -p1

# use install instead of cp or patch (easier to test and debug)
install -m444 $RPM_SOURCE_DIR/site.Linux.m4 ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/BuildTools/Site 
install -m444 $RPM_SOURCE_DIR/redhat.mc ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/cf/

# end prep

%build
make src makemap mailstats makemap praliases rmail 
make smrsh LDOPTS="-s -static" 
(
cd cf
/usr/bin/m4 redhat.mc >> sendmail.cf
)

# end build (That was tough!) 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}/{,etc/{,mail,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,lib/,libexec,man/{,man{1,5,8}}},var/{,lib,lib/sendmail-cf,run,spool/{,mqueue,mail}}}

# from source dir
install -m644 -g root -o root ${RPM_SOURCE_DIR}/{access,aliases,domaintable,genericstable,mailertable,masquerade-domains,relay-domains,sendmail.ct,sendmail.cw,virtusertable} ${RPM_BUILD_ROOT}/etc/mail/
touch ${RPM_BUILD_ROOT}/etc/mail/{aliases.db,access.db,domaintable.db,genericstable.db,mailertable.db,virtusertable.db}

install    -m755 -g root -o root ${RPM_SOURCE_DIR}/sendmail.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/sendmail

for i in 2 3 4 5
do
ln -sf ../init.d/sendmail ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S80sendmail
done

for i in 0 1 6
do
ln -sf ../init.d/sendmail ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K30sendmail
done


# The first make command will fail in smrsh. Bah.
make DESTDIR=${RPM_BUILD_ROOT} OPTIONS="$OPTIONS force-install" install || \
	make DESTDIR=${RPM_BUILD_ROOT} install

# fix symlink problem by cheating
for i in hoststat mailq newaliases purgestat
	do ln -sf ../sbin/sendmail  ${RPM_BUILD_ROOT}/usr/bin/$i
done
ln -sf ../sbin/sendmail ${RPM_BUILD_ROOT}/usr/lib/sendmail

# put some stuff in place
install    -m644 -g root -o root cf/sendmail.cf ${RPM_BUILD_ROOT}/etc/sendmail.cf

# Since we can re-generate a sendmail.cf in that directory and/or modifications
# to mc files, we want this to be in /var (/usr in read only)
cp -a cf/* ${RPM_BUILD_ROOT}/var/lib/sendmail-cf/

cp contrib/expn.pl ${RPM_BUILD_ROOT}/usr/bin/expn
(cd ${RPM_BUILD_ROOT}/usr/man/man1; ln -s ../../bin/expn expn.1)
cp contrib/re-mqueue.pl ${RPM_BUILD_ROOT}/usr/sbin/re-mqueue
(cd ${RPM_BUILD_ROOT}/usr/man/man1; ln -s ../../bin/re-mqueue re-mqueue.1)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
/usr/sbin/*
/usr/bin/*
/usr/lib/sendmail
/usr/libexec/*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man8/*
/var/run/sendmail.st
/var/spool/mqueue
/etc/rc.d/rc0.d/K30sendmail
/etc/rc.d/rc1.d/K30sendmail
/etc/rc.d/rc2.d/S80sendmail
/etc/rc.d/rc3.d/S80sendmail
/etc/rc.d/rc4.d/S80sendmail
/etc/rc.d/rc5.d/S80sendmail
/etc/rc.d/rc6.d/K30sendmail
%config /etc/rc.d/init.d/sendmail

%files config
%config	/etc/sendmail.cf
%config	/etc/mail/aliases
%ghost	/etc/mail/aliases.db
%config	/etc/mail/sendmail.cw
%config	/etc/mail/sendmail.hf
%config	/etc/mail/sendmail.ct
%config	/etc/mail/access
%ghost	/etc/mail/access.db
%config	/etc/mail/domaintable
%ghost	/etc/mail/domaintable.db
%config	/etc/mail/genericstable
%ghost	/etc/mail/genericstable.db
%config	/etc/mail/mailertable
%ghost	/etc/mail/mailertable.db
%config	/etc/mail/masquerade-domains
%config	/etc/mail/relay-domains
%config	/etc/mail/virtusertable
%ghost	/etc/mail/virtusertable.db

%files cf
%config /var/lib/sendmail-cf

%files doc
%doc FAQ README KNOWNBUGS RELEASE_NOTES
%doc doc
%doc BuildTools/README smrsh/README src/README
